For the complete documentation index, see llms.txt. This page is also available as Markdown.

Inform Alerts

This endpoint will return the inform alerts

post

Returns inform alerts only (FRAUD_NOTICE, DISPUTE_NOTICE).

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
fieldstringOptional

one of the value from [alert_id, descriptor, card_number, transaction_amount, alert_type]

keywordstringOptional

value of the field

midinteger[]Optional
ridinteger[]Optional
sidinteger[]Optional
resellerinteger[]Optional
date_fromstringOptional

format YYYY-MM-DD

date_tostringOptional

format YYYY-MM-DD

orderstringOptional

one of the value from [ASC, DESC]

sizeintegerOptional
pageintegerOptional
Responses
200

Successfully returned inform alert list

application/json
totalResultintegerOptional
post/txalerts/informalerts
POST /api/v3/txalerts/informalerts HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 147

"field='text'&keyword='text'&mid=[1]&rid=[1]&sid=[1]&reseller=[1]&date_from='text'&date_to='text'&order='text'&size=1&page=1"
{
  "list": [
    {
      "id": 1,
      "alertdate": "text",
      "descriptor": "text",
      "transaction_date": "text",
      "transaction_currency": "text",
      "transaction_amount": "text",
      "cardnumber": "text",
      "providername": "text",
      "provider_caseid": "text",
      "arn": "text",
      "authcode": "text",
      "alert_type": "text",
      "partnerid": "text",
      "retailername": "text",
      "sitename": "text",
      "issuername": "text",
      "source": "text",
      "chargeback_proceeded": "no",
      "is_duplicate": "text",
      "duplicate_alertid": 1,
      "matched_descriptor": "text",
      "merchantname": "text"
    }
  ],
  "totalResult": 1
}

Last updated